Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.message.properties
Class MessagePropertyFacade

    java.lang.Object
      org.jboss.soa.esb.message.properties.MessagePropertyFacade

    public class MessagePropertyFacade

extends java.lang.Object

Allows for manipulation of message properties using well-known names.

Author:
  Derek Adams

Field Summary
`protected Message` | `message` Wrapped message instance
`static java.lang.String` | `MESSAGE_CATEGORY` Constant for message category property name
`static java.lang.String` | `MESSAGE_CREATED_DATE` Constant for message category property name
`static java.lang.String` | `MESSAGE_DELIVERED` Constant for message delivered property name
`static java.lang.String` | `MESSAGE_ID` Constant for message id property name

Constructor Summary
`MessagePropertyFacade(Message message)` Create a facade that wraps the given message.

Method Summary
`java.util.Calendar` | `getCreatedDate()` Get the message created date.
`java.lang.String` | `getMessageCategory()` Get the message category.
`java.lang.String` | `getMessageId()` Get the message id.
`void` | `setCreatedDate(java.util.Calendar createdDate)` Set the message created date.
`void` | `setDelivered(java.lang.Boolean delivered)` Set the indicator for whether the message was delivered.
`void` | `setMessageCategory(java.lang.String category)` Set the message category.
`void` | `setMessageId(java.lang.String messageId)` Set the message id.
`java.lang.Boolean` | `wasDelivered()` Indicates whether the message was delivered.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### message

    protected Message message

  Wrapped message instance

### MESSAGE_ID

    public static final java.lang.String MESSAGE_ID

  Constant for message id property name

  See Also:
    Constant Field Values

### MESSAGE_CATEGORY

    public static final java.lang.String MESSAGE_CATEGORY

  Constant for message category property name

  See Also:
    Constant Field Values

### MESSAGE_CREATED_DATE

    public static final java.lang.String MESSAGE_CREATED_DATE

  Constant for message category property name

  See Also:
    Constant Field Values

### MESSAGE_DELIVERED

    public static final java.lang.String MESSAGE_DELIVERED

  Constant for message delivered property name

  See Also:
    Constant Field Values

Constructor Detail

### MessagePropertyFacade

    public MessagePropertyFacade(Message message)

  Create a facade that wraps the given message.

  Parameters:
    `message` -

Method Detail

### getMessageId

    public java.lang.String getMessageId()

  Get the message id.

  Returns:
    String

### setMessageId

    public void setMessageId(java.lang.String messageId)

  Set the message id.

  Parameters:
    `messageId` -

### getMessageCategory

    public java.lang.String getMessageCategory()

  Get the message category.

  Returns:
    String

### setMessageCategory

    public void setMessageCategory(java.lang.String category)

  Set the message category.

  Parameters:
    `category` -

### getCreatedDate

    public java.util.Calendar getCreatedDate()

  Get the message created date.

  Returns:
    Calendar

### setCreatedDate

    public void setCreatedDate(java.util.Calendar createdDate)

  Set the message created date.

  Parameters:
    `createdDate` -

### wasDelivered

    public java.lang.Boolean wasDelivered()

  Indicates whether the message was delivered.

  Returns:
    Boolean

### setDelivered

    public void setDelivered(java.lang.Boolean delivered)

  Set the indicator for whether the message was delivered.

  Parameters:
    `delivered` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD